## org.metaabm.validation
Interface SAttributeValidator

    public interface SAttributeValidator

A sample validator interface for `SAttribute`. This doesn't really do anything, and it's not a real EMF artifact. It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended. This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.

Method Summary
`boolean` `validate()`
`boolean` `validateDefaultValue(java.lang.String value)`
`boolean` `validateGatherData(boolean value)`
`boolean` `validateImmutable(boolean value)`
`boolean` `validateOwner(SAttributed value)`
`boolean` `validateUnits(java.lang.String value)`

Method Detail

### validate

    boolean validate()

### validateOwner

    boolean validateOwner(SAttributed value)

### validateGatherData

    boolean validateGatherData(boolean value)

### validateDefaultValue

    boolean validateDefaultValue(java.lang.String value)

### validateUnits

    boolean validateUnits(java.lang.String value)

### validateImmutable

    boolean validateImmutable(boolean value)